import { type RequestConfig } from 'senior-request';

export type BlLifeRechargeServicesOptions<TResponse = any, TRequestOptions = any> = {
  axiosConfig?: RequestConfig<TResponse, TRequestOptions>;
};

export type BlLifeRechargeAccountModelOptions = {
  userId?: string;
  phoneNumber?: string;
};

export type BlLifeRechargeOptions<
  TResponse = any,
  TRequestOptions = any
> = BlLifeRechargeServicesOptions<TResponse, TRequestOptions> &
  BlLifeRechargeAccountModelOptions & {};
